Subject: Re: Veth problems with bridge

From: Bernhard Miklautz <[email-masked]>
Date: Tue, 03 Jun 2008 17:24:14 +0200

Hi Patrick,

Patrick McHardy wrote:
> Bernhard Miklautz wrote:
>> [...]
>> I also tried the whole setup without using veth; the IP directly bound
>> to br0, as well as without the bridge at all. No problems with that.
>> So there might be some problems with veth?
> 
> Does "echo 0 > /proc/sys/net/bridge/bridge-nf-call-iptables" fix it?

On my hardware machine this seems to fix the problem :). But why does
bridge-nf-call-iptables influent source nat on an other interface? -
Shouldn't the source address always be translated when an output
interface is set (iptables -A POSTROUTING -o eth3 -t nat -j MASQUERADE)?

Thanks for you quick help.

Best regards,
Bernhard